Bug 8655 - Осуществляет вывод на терминал в UTF8-кодировке
: Осуществляет вывод на терминал в UTF8-кодировке
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mpd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://www.musicpd.org/mantis/view.ph...
:
:
: 10446
  Show dependency tree
 
Reported: 2005-12-15 12:07 by
Modified: 2008-07-21 05:59 (History)


Attachments
Патч, для исправления вывода с опциями --create-db/--update-db (627 bytes, patch)
2006-03-27 06:42, Slava Semushin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-15 12:07:02
Вижу не оченm приятную картину при запуске mpd --create-db:

added НАШЕ/7Б - Знаю!
Будет!.ogg
added РќРђРЁР•/7Р‘ -
Молодые
ветра.mp3
added РќРђРЁР•/7Р‘ -
Некрещёная
луна.mp3
added НАШЕ/7Б - Песни
РјРѕРё.mp3

Как видим, он всё выводит в UTF8, в то время как у меня локаль cp1251.
------- Comment #1 From 2006-03-27 06:42:20 -------
Created an attachment (id=1441) [details]
Патч, для исправления вывода с опциями --create-db/--update-db

Сделал патч, для исправления сего бага. Правда, патч исправляет вывод лишь при
указании опции --create-db/--update-db. Скорее всего этот UTF может и ещё
где-то вылезать, но я зафиксил лишь, то что мне самому долго надоедало.
------- Comment #2 From 2006-03-27 09:10:56 -------
ну тогда уж сделай и nmu :)
------- Comment #3 From 2006-03-28 06:54:35 -------
(In reply to comment #2)
> ну тогда уж сделай и nmu :)

Смогу сделать только после 10-ого числа, т.к. до этого у меня дома интернет
отключен :( Поэтому лучше уж ты сделай нормальный MU ;)

------- Comment #4 From 2007-05-29 09:26:49 -------
Эх... патч в апстриме не приняли. Говорят, что переделывать надо... =( Не знаю
когда дойдут у меня до этого руки и дойдут ли вообще.
------- Comment #5 From 2008-03-24 10:39:58 -------
Перевешиваю на текущего мэйнтейнера.

2led@: этот патч прикладывается к последней версии mpd? Если нет и ты пообещаешь
его приложить, то я мог бы его адаптировать к последней версии.
------- Comment #6 From 2008-03-25 00:28:13 -------
(In reply to comment #5)
А что там на вхоже (в качестве song и name)? Тэг или имя файла?
------- Comment #7 From 2008-03-25 08:20:50 -------
(In reply to comment #6)
> (In reply to comment #5)
> А что там на вхоже (в качестве song и name)? Тэг или имя файла?

У меня только имя файла, т.к. все песни у меня без тегов.
------- Comment #8 From 2008-07-06 04:11:17 -------
fixed in mpd-0.13.2-alt1